import { ObjResettingWithEvent } from 'vtxf-xe2/dist-node/xe2-utils';
import * as Cesium from 'cesium';
import { CzmObject, CzmViewer } from '../../../core';
import { Czm3DTiles, Czm3DTilesCustomShaderClassType } from '../../CzmObjects';
import { NativeTilesetResetting } from './NativeTilesetResetting';
export declare class CzmCzm3DTiles extends CzmObject<Czm3DTiles> {
    static readonly type: void;
    private _customShaderInstance;
    get customShaderInstance(): Czm3DTilesCustomShaderClassType | undefined;
    get customShaderInstanceChanged(): import("vtxf-xe2/dist-node/xe2-base-utils").Listener<[Czm3DTilesCustomShaderClassType | undefined, Czm3DTilesCustomShaderClassType | undefined]>;
    set customShaderInstance(value: Czm3DTilesCustomShaderClassType | undefined);
    private _style;
    get style(): Cesium.Cesium3DTileStyle | undefined;
    get styleChanged(): import("vtxf-xe2/dist-node/xe2-base-utils").Listener<[Cesium.Cesium3DTileStyle | undefined, Cesium.Cesium3DTileStyle | undefined]>;
    set style(value: Cesium.Cesium3DTileStyle | undefined);
    private _originRootTransform;
    get originRootTransform(): Cesium.Matrix4 | undefined;
    set originRootTransform(value: Cesium.Matrix4 | undefined);
    get originRootTransformChanged(): import("vtxf-xe2/dist-node/xe2-base-utils").Listener<[Cesium.Matrix4 | undefined, Cesium.Matrix4 | undefined]>;
    private _originRootTransformInv;
    get originRootTransformInv(): Cesium.Matrix4 | undefined;
    set originRootTransformInv(value: Cesium.Matrix4 | undefined);
    get originRootTransformInvChanged(): import("vtxf-xe2/dist-node/xe2-base-utils").Listener<[Cesium.Matrix4 | undefined, Cesium.Matrix4 | undefined]>;
    private _urlReact;
    private _recreateEvent;
    private _nativeTilesetResetting;
    get nativeTilesetResetting(): ObjResettingWithEvent<NativeTilesetResetting, import("vtxf-xe2/dist-node/xe2-base-utils").NextAnimateFrameEvent>;
    get tileset(): Cesium.Cesium3DTileset | undefined;
    get tilesetChanged(): import("vtxf-xe2/dist-node/xe2-base-utils").Listener<[NativeTilesetResetting | undefined, NativeTilesetResetting | undefined]>;
    constructor(sceneObject: Czm3DTiles, czmViewer: CzmViewer);
}
